package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 教学班级表
 * @Author: CaoZixuan
 * @Date: 2022-02-09
 */
@ApiModel(value = "TeachClazz对象", description = "教学班级表")
public class TeachClazz extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "教学课程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long teachCourseId;

    @ApiModelProperty(value = "教学班字典id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long basicTeachClazzId;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "教学班名称（冗余字段【教学班名称不会变】）")
    private String clazzName;

    @ApiModelProperty(value = "分配班级时属于的教学课程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long belongTeachCourseId;
    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getTeachCourseId() {
        return teachCourseId;
    }

    public void setTeachCourseId(Long teachCourseId) {
        this.teachCourseId = teachCourseId;
    }

    public Long getBasicTeachClazzId() {
        return basicTeachClazzId;
    }

    public void setBasicTeachClazzId(Long basicTeachClazzId) {
        this.basicTeachClazzId = basicTeachClazzId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public Long getBelongTeachCourseId() {
        return belongTeachCourseId;
    }

    public void setBelongTeachCourseId(Long belongTeachCourseId) {
        this.belongTeachCourseId = belongTeachCourseId;
    }
}
